<?php
/*
 * @? This file contains options to be initialized upon plugin activation
*/

/**
 * Class to be called upon plugin activation
 *
 * @package Wordpress
 * @since 1.0
 */
class erpActivator{
	
	function __construct(){
		add_action('admin_init', array($this , 'Activate'));
	}
	
	/**
 	* Activation function for initializing options
	*
	* @package Wordpress
 	* @since 1.0
	*/
	function Activate() {
		$optsMain = get_option('erpOpts');
		$optsWidg = get_option('widget_erp_widget');
		
		if (!$optsMain) {
			/* #? Plugin options */
			$erpOptAr = array(
					'version'				=> 1.3, // @! to check on updates
					'name'					=> 'Easy Related Posts',
					'titletd'				=> 'Related Posts',
					'activate_plugin'		=> 1,
					'num_of_p_t_dspl'		=> 4,
					'erpcontent'			=> 'post_title',
					'exc_len'				=> 15,
					'ttl_sz'				=> 12,
					'exc_sz'				=> 10,
					'more_txt'				=> ' ...read more',
					'num_of_p_p_row'		=> 4,
					'display_layout'		=> 'pop_up_block',
					'display_thumbnail'		=> 1,
					'crop_thumbnail'		=> 1,
					'thumbnail_height'		=> 150,
					'thumbnail_width'		=> 500,
			);
			
			add_option('erpOpts',$erpOptAr);
			
		} else {
			if ($optsMain["version"] < 1.3 ) {
				
			}
		}
		
		if (!$optsWidg) {
			/* #? Widget options */
			$widErpoptAr = array(
					'wid_erp_exc_or_tit'	=> 'Related posts',
					'wid_erp_thumb'			=> 1,
					'wid_erp_gen'			=> 0,
					'wid_erp_pt_s'			=> 0,
					'wid_erp_pt_c'			=> '#ffffff',
					'wid_erp_pt_c_u'		=> 0,
					'wid_erp_exc_s'			=> 0,
					'wid_erp_exc_c'			=> '#ffffff',
					'wid_erp_exc_c_u'		=> 0,
					'wid_erp_thumb_crop'	=> 1,
					'wid_erp_thumb_h'		=> 100,
					'wid_erp_thumb_w'		=> 200
			);
			add_option('widget_erp_widget',$widErpoptAr);
		}
		
		
	}
}// class erpActivator
?>